program Pchmake
  use sep
  use cartesian
  implicit none
  integer                             :: n123, dim, ip, id, hel
  integer, dimension (:), allocatable :: n, a, nh, ii, cd, np, npa
  real, dimension(:), allocatable     :: pp

  call sep_init (SOURCE)
  dim = sep_dimension ()
  allocate (n(dim), np(dim),ii(dim),cd(dim),npa(dim))
  call from_history (n); n123 = product (n)
  call to_history ("n",n)
  call from_param ("np", np)
write(0,*)"np",np,n123
  allocate (pp(n123))
  npa=int(n/np)
  pp=0.
  do ip=1,n123
     call line2cart(n,ip,ii)
     do id=1,dim
        cd(id)=int((ii(id)-1)/np(id))+1
     end do
     call cart2line(npa,cd,hel)
     pp(ip)=hel
  end do
  call sep_write(pp)
  call sep_close ()
  deallocate (pp)
  deallocate (n, ii, cd, np) 
  call exit (0)
end program PCHMAKE



